Package de.willuhn.jameica.hbci.rmi

# Interface Flaggable

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`

All Known Subinterfaces:
  `Konto`, `Umsatz`

All Known Implementing Classes:
  `KontoImpl`, `UmsatzImpl`

public interface Flaggable extends HibiscusDBObject
Klassen, die dieses Interface implementieren, koennen mit Flags markiert werden.

## Method Summary

Modifier and Type
Method
Description
`int`
`getFlags()`
Liefert ein Bit-Feld mit Flags.
`boolean`
`hasFlag(int flag)`
Prueft, ob das angegebene Flag vorhanden ist.
`void`
`setFlags(int flags)`
Speichert die Flags einen Objektes.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Method Details

### getFlags

int getFlags() throws RemoteException
Liefert ein Bit-Feld mit Flags. Ein Objekt kann mit verschiedenen Flags markiert werden. Das kann zum Beispiel "deaktiviert" sein. Damit fuer kuenftige weitere Flags nicht immer ein neues Feld zur Datenbank hinzugefuegt werden muss, verwenden wir hier ein Bitfeld. Damit koennen mehrere Flags in einem Wert codiert werden.

Returns:
  Bit-Feld mit den Flags des Objektes.
Throws:
  `RemoteException`

### setFlags

void setFlags(int flags) throws RemoteException
Speichert die Flags einen Objektes.

Parameters:
  `flags` - die Flags in Form eines Bit-Feldes.
Throws:
  `RemoteException`

### hasFlag

boolean hasFlag(int flag) throws RemoteException
Prueft, ob das angegebene Flag vorhanden ist.

Parameters:
  `flag` - das zu pruefende Flag.
Returns:
  true, wenn es gesetzt ist.
Throws:
  `RemoteException`